banner

[Rule] Rules  [Home] Main Forum  [Portal] Portal  
[Members] Member Listing  [Statistics] Statistics  [Search] Search  [Reading Room] Reading Room 
[Register] Register  
[Login] Loginhttp  | https  ]
 
Messages posted by: Yuno  XML
Profile for Yuno Messages posted by Yuno [ number of posts not being displayed on this page: 0 ]
 
Chào bạn kidpro112,

Để hỏi 1 vấn đề trên HVA thì bạn nên đọc rõ cái link anh quanta gởi cho bạn. nếu áp dụng theo đó thì chắc chắn bạn sẽ nhận được những gì bạn có mà trong đó quan trọng nhất là kiến thức.
có thể bạn chưa tìm trên google đủ nhiều, hoặc có thể đã đọc qua rồi nhưng còn lờ mờ chưa được rõ.
Server có thể nói nôm na là 1 máy tính cung cấp một service nào đó cho người dùng cuối ( client ) sử dụng. Do vậy để tạo 1 Server bạn cần 1 cái máy tính ( thật hoặc ảo) rồi bạn dựng dịch vụ mà bạn muốn cung cấp.

Vậy để dựng 1 server bạn cần
+ 1 máy tính
+ 1 Hệ điều hành
+ 1 Service bạn muốn cung cấp (Web , FTP,...)
+ 1 đường kết nối mạng ( LAN or WAN)

Phần còn lại của bạn là lại lên google hỏi tiếp cách để làm những điều trên.


Cám ơn anh Doremon, anh gãi đúng chỗ ngứa của anh em rồi.

Giờ thì ta phải đi nấu nước thôi. smilie
Cám ơn anh quanta đã hướng dẫn và giúp tôi thực hiện điều mình cần, tôi đã chỉnh lại được rồi, và giờ mọi thứ đã chạy như ý.

Do tôi đọc không kỹ các link mà anh quanta đưa nên không nắm rõ cách thức hoạt động và truyền biến cho các lệnh. mài mò mãi mới phát hiện ra gắn tham số cho lệnh command trong supervisord.conf sai. hix. smilie

Code:
command=/usr/local/bin/node /usr/local/lib/node_modules/testserver.js




Chào anh quanta,

Nhờ anh support giúp trường hợp này.

Tôi đã cài đặt và chỉnh sửa lại file /etc/supervisord.conf và trong /etc/init.d đã có file supervisord.

Với 2 file này thì hiện tại tôi đã làm được như sau :

TH 1. Chạy lệnh #supervisord
thì mọi thứ đều như ý, nghĩa là chuơng trình supervisord và node đều chạy.

TH 2. Chạy lệnh # service supervisord start
Lúc này thì chỉ có một mình supervisord chạy thôi, node không chạy. Do đó tôi bỏ file supervisord vào init.d thì khi restart máy thì chỉ có chương trình supervisord chạy được.

Nhờ anh xem giúp là tôi sai và thiếu ở đâu , hiện tại tôi vẫn đang mài mò thêm bớt một vài câu lệnh vào supervisord mà vẫn fail.

supervisord.conf như sau
Code:
[supervisord]
http_port=/var/tmp/supervisor.sock ; (default is to run a UNIX domain socket server)
;http_port=127.0.0.1:9001 ; (alternately, ip_address:port specifies AF_INET)
;sockchmod=0700 ; AF_UNIX socketmode (AF_INET ignore, default 0700)
;sockchown=nobody.nogroup ; AF_UNIX socket uid.gid owner (AF_INET ignores)
;umask=022 ; (process file creation umask;default 022)
logfile=/var/log/supervisor/supervisord.log ; (main log file;default $CWD/supervisord.log)
logfile_maxbytes=50MB ; (max main logfile bytes b4 rotation;default 50MB)
logfile_backups=10 ; (num of main logfile rotation backups;default 10)
loglevel=info ; (logging level;default info; others: debug,warn)
pidfile=/var/run/supervisord.pid ; (supervisord pidfile;default supervisord.pid)
nodaemon=false ; (start in foreground if true;default false)
minfds=1024 ; (min. avail startup file descriptors;default 1024)
minprocs=200 ; (min. avail process descriptors;default 200)
;nocleanup=true ; (don't clean up tempfiles at start;default false)
;http_username=user ; (default is no username (open system))
;http_password=123 ; (default is no password (open system))
;childlogdir=/tmp ; ('AUTO' child log dir, default $TEMP)
;user=chrism ; (default is current user, required if root)
;directory=/tmp ; (default is not to cd during start)
;environment=KEY=value ; (key value pairs to add to environment)
[supervisorctl]
serverurl=unix:///var/tmp/supervisor.sock ; use a unix:// URL for a unix socket
;serverurl=http://127.0.0.1:9001 ; use an http:// url to specify an inet socket
;username=chris ; should be same as http_username if set
;password=123 ; should be same as http_password if set
;prompt=mysupervisor ; cmd line prompt (default "supervisor")
; The below sample program section shows all possible program subsection values,
; create one or more 'real' program: sections to be able to control them under
; supervisor.
[program:nodejs]
command=node /usr/local/lib/node_modules/testserver.js ; the program (relative uses PATH, can take args)
process_name=%node
;priority=999 ; the relative start priority (default 999)
autostart=true ; start at supervisord start (default: true)
autorestart=true ; retstart at unexpected quit (default: true)
;startsecs=10 ; number of secs prog must stay running (def. 10)
;startretries=3 ; max # of serial start failures (default 3)
;exitcodes=0,2 ; 'expected' exit codes for process (default 0,2)
;stopsignal=QUIT ; signal used to kill process (default TERM)
;stopwaitsecs=10 ; max num secs to wait before SIGKILL (default 10)
;user=chrism ; setuid to this UNIX account to run the program
log_stdout=true ; if true, log program stdout (default true)
log_stderr=true ; if true, log program stderr (def false)
logfile=/var/log/node.log ; child log path, use NONE for none; default AUTO
logfile_maxbytes=1MB ; max # logfile bytes b4 rotation (default 50MB)
;logfile_backups=10 ; # of logfile backups (default 10)


supervisord trong init.d
Code:
#!/bin/bash
#
# supervisord This scripts turns supervisord on
#
# Author: Mike McGrath <mmcgrath@redhat.com> (based off yumupdatesd)
#
# chkconfig: - 95 04
#
# description: supervisor is a process control utility. It has a web based
# xmlrpc interface as well as a few other nifty features.
# processname: supervisord
# config: /etc/supervisord.conf
# pidfile: /var/run/supervisord.pid
#
# source function library
. /etc/rc.d/init.d/functions
RETVAL=0
start() {
echo -n $"Starting supervisord: "
daemon supervisord
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/supervisord
}
stop() {
echo -n $"Stopping supervisord: "
killproc supervisord
echo
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/supervisord
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|force-reload|reload)
restart
;;
condrestart)
[ -f /var/lock/subsys/supervisord ] && restart
;;
status)
status supervisord
RETVAL=$?
;;
*)
echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart}"
exit 1
esac
exit $RETVAL


Chân thành cám ơn !
Cám ơn Quanta, tôi sẽ làm theo hướng dẫn của anh. nếu gặp khó khăn gì nhờ anh hỗ trợ smilie
Chào các bạn,

Mình đang cố găng cài đặt nodejs cho server chạy CentOS 5.8. việc cài đặt và chạy nodejs cũng đã thành công, nhưng mình gặp 1 vấn đề là khi chạy nodejs thì chương trình chiếm luôn màn hình. Nếu thoát khỏi màn hình của nodejs thì đồng nghĩa với việc stop nodejs. Mình cũng đã cố gắng viết 1 script để cho nodejs chạy như 1 service chạy ngầm nhưng đang gặp vấn đề là: service đã chạy nhưng vẫn bị nodejs chiếm màn hình như trên. Nhờ các bạn xem giúp mình script và khắc phục lỗi giúp mình, do là newbie trong việc viết script nên còn nhiều hạn chế mà tự bản thân mình không sao tìm được đường ra.

Chân thành cám ơn các bạn

đoạn code này mình lấy từ internet về rồi sửa lại các tham số và lệnh trong centos.

Code:
#!/bin/sh
#
# nodejs - this script starts and stops the nodejs
# chkconfig: - 85 15
# description: node /usr/local/lib/node_modules/testserver.js
#
# processname: node
# config:
# pidfile:
# Source function library.
. /etc/rc.d/init.d/functions
# Source networking configuration.
. /etc/sysconfig/network
# Check that networking is up.
[ "$NETWORKING" = "no" ] && exit 0
nodejs="/usr/local/bin/node"
prog=$(basename $nodejs)
NODEJS_CONF_FILE="/usr/local/lib/node_modules/testserver.js"
lockfile=/var/lock/subsys/nodejs
start() {
[ -x $nodejs ] || exit 5
[ -f $NODEJS_CONF_FILE ] || exit 6
echo -n $"Starting $prog: "
supervisor $nodejs $NODEJS_CONF_FILE # hoac node $NODEJS_CONF_FILE
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killall -9 $prog
killall -9 nodejs
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
configtest || return $?
stop
start
}
reload() {
configtest || return $?
echo -n $"Reloading $prog: "
killall -9 $nodejs
killall -9 nodejs
RETVAL=$?
echo
}
force_reload() {
restart
}
configtest() {
$nodejs $NODEJS_CONF_FILE
}
rh_status() {
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart|configtest)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload|configtest}"
exit 2
esac
Bạn có thể cho biết yêu cầu/mục đích của bên cty bạn là gì, và khả năng chi cho vụ này là bao nhiêu .
Có lẽ mấy tháng qua mọi người bận rộn quá nên không giới thiệu được soft nào nhỉ, để hâm nóng bầu không khí tui xin giới thiệu 1 soft đo bandwidth cho anh em.


Iperf is a tool to measure the bandwidth and the quality of a network link. Jperf can be associated with Iperf to provide a graphical frontend written in Java.

The network link is delimited by two hosts running Iperf.

The quality of a link can be tested as follows:
- Latency (response time or RTT): can be measured with the Ping command.
- Jitter (latency variation): can be measured with an Iperf UDP test.
- Datagram loss: can be measured with an Iperf UDP test.

The bandwidth is measured through TCP tests.

To be clear, the difference between TCP (Transmission Control Protocol) and UDP (User Datagram Protocol) is that TCP use processes to check that the packets are correctly sent to the receiver whereas with UDP the packets are sent without any checks but with the advantage of being quicker than TCP.
Iperf uses the different capacities of TCP and UDP to provide statistics about network links.

Finally, Iperf can be installed very easily on any UNIX/Linux or Microsoft Windows system. One host must be set as client, the other one as server.


Download : http://sourceforge.net/search/?q=iperf
Tutorial : http://openmaniak.com/iperf.php
Sau khi thực hiện theo hướng dẫn, những khi thực hiện câu lệnh php web_root\cacti\poller.php nhưng không thấy có output.




Nếu chưa chạy được poller.php thì cmd.php cũng không thực thi được. Bác quata giúp với.
Tôi kiểm tra thì thấy poller chưa chạy được, quata có thể hướng dẫn tôi chạy cái poller.php được không ?. Tôi tìm trên google thì thấy là chứa chạy được, nhưng họ hướng dẫn tôi không hiếu lắm.

Check cacti's poller

First make sure that crontab always shows poller.php. This program will either call cmd.php, the PHP based poller _or_ cactid, the fast alternative, written in C. Define the poller you're using at Settings, Poller. Cactid has to be implemented seperately, it does not come with cacti by default.

Now, clear ./log/cacti.log (or rename it to get a fresh start)

Then, change Settings, Poller Logging Level to DEBUG for _one_ polling cycle. You may rename this log as well to avoid more stuff added to it with subsequent polling cycles.

Now, find the host/data source in question. The Host[<id>] is given numerically, the <id> being a specific number for that host. Find this <id> from the Devices menue when editing the host: The url contains a string like

id=<id>

Check, whether the output is as expected. If not, check your script (e.g. /full/path/to/perl). If ok, proceed to next step

This procedure may be replaced by running the poller manually for the failing host only. To do so, you need the <id>, again. If you're using cmd.php, set the DEBUG logging level as defined above and run

php -q cmd.php <id> <id>

If you're using cactid, you may override logging level when calling the poller:

./cactid --verbosity=5 <id> <id>

All output is printed to STDOUT in both cases. This procdure allows for repeated tests without waiting for the next polling interval. And there's no need to manually search for the failing host between hundreds of lines of output.

 
Tôi đã từng mua 1 cái USB 3G để sử dụng ngay khi 3 nhà mạng tung ra dịch vụ 3G, sau 1 thời gian sử dụng khuyên các bạn nên mua USB 3G ở ngoài thị trường, vì những loại này đều có thể sử dụng được của cả 3 nhà mạng, về chất lượng thì thú thật là toàn là hàng "của bền tại người " smilie . Về chất lượng dịch vụ 3G thì còn phụ thuộc vào nhà mạng, nếu bạn chỉ ở Sài Gòn thì ok rồi, nhưng nếu bạn phải đi tỉnh nữa thì hơi căng, nhưng lúc này là lúc cái USB 3G của bạn mang lại lợi thế so với nhưng loại mua của nhà mạng. Nếu Viettel ko được thì cùng Mobi, vina và ngược lại.
Hi vọng giúp ích cho các bạn đang có ý định mua USB 3G.
Cái lỗi không tạo được file rrd thì phải làm sao để khắc phục lỗi này vậy quata.
Code:
RRDTool Command:
c:/cacti/rrdtool.exe graph - \
--imgformat=PNG \
--start=-86400 \
--end=-300 \
--title="My windows - Used Space - C: Label:Window" \
--rigid \
--base=1024 \
--height=120 \
--width=500 \
--alt-autoscale-max \
--lower-limit=0 \
--vertical-label="bytes" \
--slope-mode \
DEF:a="C\:/AppServ/www/cacti/rra/my_windows_hdd_total_49.rrd":hdd_total:AVERAGE \
DEF:b="C\:/AppServ/www/cacti/rra/my_windows_hdd_total_49.rrd":hdd_used:AVERAGE \
AREA:a#002A97:"Total" \
GPRINT:a:LAST:"Current\:%8.2lf %s" \
GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" \
AREA:b#F51D30:"Used" \
GPRINT:b:LAST:" Current\:%8.2lf %s" \
GPRINT:b:AVERAGE:"Average\:%8.2lf %s" \
GPRINT:b:MAX:"Maximum\:%8.2lf %s\n"
RRDTool Says:
ERROR: opening 'C:/AppServ/www/cacti/rra/my_windows_hdd_total_49.rrd': No such file or directory


Phân quyền trên thư mục rra đều full control hết rồi. mà có chỗ này không hiểu có đúng không nữa
Code:
DEF:a="C\:/AppServ/www/cacti/rra/my_windows_hdd_total_49.rrd":hdd_total:AVERAGE \
DEF:b="C\:/AppServ/www/cacti/rra/my_windows_hdd_total_49.rrd":hdd_used:AVERAGE \


Trong thư mục rra có 1 file duy nhất là ".placeholder".

Cái log lúc trước không còn lỗi nữa rồi.
Tôi đã kiểm tra lại kỹ rồi.
snmpwalk, snmpget, snmpdf,... đều hoạt động tốt.
Code:
RRDTool Command:
c:/cacti/rrdtool.exe graph - \
--imgformat=PNG \
--start=-86400 \
--end=-300 \
--title="My win - Used Space - Physical Memory" \
--rigid \
--base=1024 \
--height=120 \
--width=500 \
--alt-autoscale-max \
--lower-limit=0 \
--vertical-label="bytes" \
--slope-mode \
DEF:a="C\:/AppServ/www/cacti/rra/my_win_hdd_total_28.rrd":hdd_total:AVERAGE \
DEF:b="C\:/AppServ/www/cacti/rra/my_win_hdd_total_28.rrd":hdd_used:AVERAGE \
AREA:a#002A97:"Total" \
GPRINT:a:LAST:"Current\:%8.2lf %s" \
GPRINT:a:AVERAGE:"Average\:%8.2lf %s" \
GPRINT:a:MAX:"Maximum\:%8.2lf %s\n" \
AREA:b#F51D30:"Used" \
GPRINT:b:LAST:" Current\:%8.2lf %s" \
GPRINT:b:AVERAGE:"Average\:%8.2lf %s" \
GPRINT:b:MAX:"Maximum\:%8.2lf %s\n"
RRDTool Says:


Tôi đã làm rất kỹ theo hướng dẫn của cacti, nhưng không hiểu sao vẫn không hiển thĩ được graph.
cacti có lấy thông số thiết bị qua snmpwalk hay không tôi cũng không rõ nữa, nhưng sau khi cài snmp trên tất cả những máy tôi muốn quan sát thì cacti đều lấy được thông số thiết bị. nhưng khi chạy file snmpwalk thì nó vẫn báo như lần đầu "no host specified".
setting của host như sau:






Setting của cacti



RDD tools:




Cacti log file




Poller Cache



quata copy link hình vào trình duyệt xem dùm yuno nhé, ko hiểu sao thẻ img lại không có tác dụng. smilie
Tôi đã cài đặt lại toàn bộ cacti bao gồm

+ appserv-win32-2.5.10
+ net-snmp 5.5
+ cacti-spine-0.8.7e
+ rrdtool-1.2.30-bin-w32

Các cấu hình tôi đều làm giống như trên web cacti hướng dẫn (dành cho window). Nhưng vẫn gặp phải lỗi
Status của host : Unknow.
Tôi đã lấy được những thông số về phần cứng và những interface card mạng, nhưng Graph vẫn không hiển thị.

quanta wrote:
Kiểm tra lại một lần nữa để chắc chắn rằng:
- snmpd đã chạy
- firewall đã tắt 

Sorry quata vì 2 bữa nay làm phiền anh, đúng là firewall đang on và snmp đã chạy nhưng chưa có set trong phần services.
Nhưng sau khi đã làm những bước trên hoàn chỉnh thì khi mình create host mới thì bị lỗi sau :

Code:
Fatal error: Maximum execution time of 30 seconds exceeded in C:\AppServ\www\cacti\lib\functions.php on line 1221

Khi mình back lại trang trước thì nó lại báo save seccessful.
Mình vào lại host mới tạo và click vào run this data query in debug mode trong mục

Khi mình back lại trang trước thì nó lại báo save seccessful.
Mình vào lại host mới tạo và click vào run this data query in debug mode trong mục

Code:
Data Query [SNMP - Get Mounted Partitions]
Reload Associated Query
This data query returned 0 rows, perhaps there was a problem executing this data query. You can run this data query in debug mode to get more information.


nó lại bị lỗi
Code:
Fatal error: Maximum execution time of 30 seconds exceeded in C:\AppServ\www\cacti\lib\functions.php on line 1221


Trường status của host vẫn bị Unknow.
Không biết trong file php đã báo lỗi sai chỗ nào nữa vì tôi không rành php, mà những file đó hoàn toàn là của nhà sản xuất. Mong quata giúp đỡ và hướng dẫn cách giải quyết.


quanta wrote:
snmpwalk.exe -v 2c -c public localhost system? 

nó báo : Timeout: No Response from localhost.
Tôi đang cài cacti-0.8.6j, do bản này là bản mới nhất nên không biết có gì lỗi hay không? hay do net-snmp, rrdtools không hơp với version này. Tôi dùng hoàn toàn là những bản mới nhất.
Kiểm tra lại nhưng không biết đã sai chỗ nào.
Khi tạo host mới thì gặp lỗi sau:
Fatal error: Maximum execution time of 30 seconds exceeded in C:\AppServ\www\cacti\lib\functions.php on line 1221.
Tôi đã làm theo đúng hướng dẫn trên web của cacti rồi, cấu hình cái này khó thật.

Sau khi kiểm tra snmpwalk nó thế này nè quata.

Code:
C:\usr\bin>snmpwalk.exe
No hostname specified. == ==> cái này là sao nhỉ ? chưa có host là sao, và phải vào đâu để cấu hình ??
USAGE: snmpwalk [OPTIONS] AGENT [OID]
Version: 5.5
Web:  http://www.net-snmp.org/
Email: <a href="mailto:net-snmp-coders@lists.sourceforge.net">net-snmp-coders@lists.sourceforge.net</a>
OPTIONS:
-h, --help display this help message
-H display configuration file directives understood
-v 1|2c|3 specifies SNMP version to use
-V, --version display package version number
SNMP Version 1 or 2c specific
-c COMMUNITY set the community string
SNMP Version 3 specific
-a PROTOCOL set authentication protocol (MD5|SHA)
-A PASSPHRASE set authentication protocol pass phrase
-e ENGINE-ID set security engine ID (e.g. 800000020109840301)
-E ENGINE-ID set context engine ID (e.g. 800000020109840301)
-l LEVEL set security level (noAuthNoPriv|authNoPriv|authPriv)
-n CONTEXT set context name (e.g. bridge1)
-u USER-NAME set security name (e.g. bert)
-x PROTOCOL set privacy protocol (DES)
-X PASSPHRASE set privacy protocol pass phrase
-Z BOOTS,TIME set destination engine boots/time
General communication options
-r RETRIES set the number of retries
-t TIMEOUT set the request timeout (in seconds)
Debugging
-d dump input/output packets in hexadecimal
-D TOKEN[,...] turn on debugging output for the specified TOKENs
(ALL gives extremely verbose debugging output)
General options
-m MIB[:...] load given list of MIBs (ALL loads everything)
-M DIR[:...] look in given list of directories for MIBs
-P MIBOPTS Toggle various defaults controlling MIB parsing:
u: allow the use of underlines in MIB symbols
c: disallow the use of "--" to terminate comments
d: save the DESCRIPTIONs of the MIB objects
e: disable errors when MIB symbols conflict
w: enable warnings when MIB symbols conflict
W: enable detailed warnings when MIB symbols conflict
R: replace MIB symbols from latest module
-O OUTOPTS Toggle various defaults controlling output display:
0: print leading 0 for single-digit hex characters
a: print all strings in ascii format
b: do not break OID indexes down
e: print enums numerically
E: escape quotes in string indices
f: print full OIDs on output
n: print OIDs numerically
q: quick print for easier parsing
Q: quick print with equal-signs
s: print only last symbolic element of OID
S: print MIB module-id plus last element
t: print timeticks unparsed as numeric integers
T: print human-readable text along with hex strings
u: print OIDs using UCD-style prefix suppression
U: don't print units
v: print values only (not OID = value)
x: print all strings in hex format
X: extended index format
-I INOPTS Toggle various defaults controlling input parsing:
b: do best/regex matching to find a MIB node
h: don't apply DISPLAY-HINTs
r: do not check values for range/type legality
R: do random access to OID labels
u: top-level OIDs must have '.' prefix (UCD-style)
s SUFFIX: Append all textual OIDs with SUFFIX before
parsing
S PREFIX: Prepend all textual OIDs with PREFIX before
parsing
-L LOGOPTS Toggle various defaults controlling logging:
e: log to standard error
o: log to standard output
n: don't log at all
f file: log to the specified file
s facility: log to syslog (via the specified facility
)
(variants)
[EON] pri: log to standard error, output or /dev/nul
l for level 'pri' and above
[EON] p1-p2: log to standard error, output or /dev/nul
l for levels 'p1' to 'p2'
[FS] pri token: log to file/syslog for level 'pri'
and above
[FS] p1-p2 token: log to file/syslog for levels 'p1'
to 'p2'
-C APPOPTS Set various application specific behaviours:
p: print the number of variables found
i: include given OID in the search range
I: don't include the given OID, even if no results ar
e returned
c: do not check returned OIDs are increasing
t: Display wall-clock time to complete the request
E {OID}: End the walk at the specified OID

quanta wrote:

Yuno wrote:

SNMP Information
SNMP not in use ==> em đã kiểm tra SNMP của windows rồi, vận hoạt động bình thường.
 

Bạn điền community string chưa nhỉ? 


community string : Public
RRD Tool : 1.2
SNMP : 2.0
SNMP utility version : UCD-SNMP 4.x
SNMP Port : 161
Data Query Debug Information

+ Running data query [6].
+ Found type = '4 '[script query].
+ Found data query XML file at 'C:/AppServ/www/cacti/resource/script_queries/unix_disk.xml'
+ XML file parsed ok.
+ Executing script for list of indexes 'perl C:\AppServ\www\cacti\scripts\query_unix_partitions.pl index'
+ Executing script query 'perl C:\AppServ\www\cacti\scripts\query_unix_partitions.pl query device'
+ Executing script query 'perl C:\AppServ\www\cacti\scripts\query_unix_partitions.pl query mount'
+ Found data query XML file at 'C:/AppServ/www/cacti/resource/script_queries/unix_disk.xml'
+ Found data query XML file at 'C:/AppServ/www/cacti/resource/script_queries/unix_disk.xml'
+ Found data query XML file at 'C:/AppServ/www/cacti/resource/script_queries/unix_disk.xml'


SNMP Information
SNMP not in use ==> em đã kiểm tra SNMP của windows rồi, vận hoạt động bình thường.

Tôi thấy trong log nó ghi như trên.

Ah, tôi còn 1 vấn đề nữa mà không hiểu. Mỗi host tôi tạo ra thì trường Status đều là UnKnow hết smilie kể có localhost.

Mong anh quata giúp đỡ. Ah anh cho hỏi là có cái tools monitor nào khi gặp sự cố thì nó hú còi báo động không nhỉ Quata. (nó kêu bít bít bít ấy)
Tôi đã chỉnh cho tất cả user đều có quyền Full control hết rồi. Nhưng vẫn gặp lỗi như sau.

RRDTool Command:

c:/rrdtool/rrdtool.exe graph - \
--imgformat=PNG \
--start=-86400 \
--end=-300 \
--title="Localhost - Logged in Users" \
--rigid \
--base=1000 \
--height=120 \
--width=500 \
--alt-autoscale-max \
--lower-limit=0 \
--vertical-label="users" \
--slope-mode \
DEF:a="C\:/AppServ/www/cacti/rra/localhost_users_15.rrd":users:AVERAGE \
AREA:a#4668E4:"Users" \
GPRINT:a:LAST:"Current\:%8.0lf" \
GPRINT:a:AVERAGE:"Average\:%8.0lf" \
GPRINT:a:MAX:"Maximum\:%8.0lf"

RRDTool Says:

ERROR: opening 'C:/AppServ/www/cacti/rra/localhost_users_15.rrd': No such file or directory
Chào các bạn, tôi đã cài cacti trên windows, quá trình cài đặt đều không có lỗi nào xảy ra. Sau khi cài đặt xong thì tôi vào localhost để chọn chức năng view graph lên, nhưn gặp phải lỗi sau.

RDDTool Says:
Error : Opening 'c:/Appserv/www/cacti/rra/localhost_proc_16.rrd' : No such file ỏ diectory.

Mong nhận được sự giúp đỡ của anh em.
Tôi không nói là fail2ban không tốt, nhưng nếu cài fail2ban thì dẫn đấn 1 số điều không phù hợp với server của tôi.
Tôi đã tìm hiểu và cài fail2ban nhưng cái này không phù hợp với hệ thống của tôi, mặc dù nó xem ra là khá tốt.
Vẫn monh anh em giúp đỡ cho 1 script. Lấy ra địa chỉ IP đã Dos sau đó đưa vào iptable để chặn, đồng thời cũng unlock những ip đã bị chặn từ trước.

Cám ơn anh em.
Chào các bạn.
Tôi có 1 server chạy CentOS, giời gian gần đây thường xuyên bị người khác DDoS, và tôi chặn bằng cách thủ công như sau : tôi xác định IP đã DDoS từ file log, sau đó tôi đưa vào firewall để chặn, nhưng cách này không lâu dài được. Tôi mới tập tành với Linux thôi nên chưa đủ khà năng viết 1 script cho phép tự động chặn DDoS. Bên dưới là những hàng trong file log mà tôi đã ghi lại
Code:
Oct 25 11:08:41 sip /usr/local/sbin/openser[7028]: radius_proxy_authorize ; M=INVITE ; F=sip:6943646285@222.255.236.134 ; T=sip:157637373737@222.255.236.134 ; IP=118.68.249.236 ; ID=9bc0bea3d677469c94db2e6762d5acef
Oct 25 11:08:41 sip /usr/local/sbin/openser[7032]: radius_proxy_authorize ; M=INVITE ; F=sip:6943646285@222.255.236.134 ; T=sip:21314134314134@222.255.236.134 ; IP=118.68.249.236 ; ID=ac4fba3e703d46e7b6fe63cd4077f91e
Oct 25 11:08:41 sip /usr/local/sbin/openser[7032]: radius_proxy_authorize ; M=INVITE ; F=sip:6943646285@222.255.236.134 ; T=sip:123434234242@222.255.236.134 ; IP=118.68.249.236 ; ID=ed463190eada4451ac03b3896705c6f9
Oct 25 11:08:41 sip /usr/local/sbin/openser[7028]: radius_proxy_authorize ; M=INVITE ; F=sip:6943646285@222.255.236.134 ; T=sip:2134323445@222.255.236.134 ; IP=118.68.249.236 ; ID=737eb09dc6784644ae1b262b0f2976a7
Oct 25 11:08:41 sip /usr/local/sbin/openser[7028]: radius_proxy_authorize ; M=INVITE ; F=sip:6943646285@222.255.236.134 ; T=sip:123214313413523@222.255.236.134 ; IP=118.68.249.236 ; ID=89ac6c34a98249f0945ddfa2655691ad

Tôi mong muốn mọi người giúp tôi xác định được IP DDoS từ file log, sau đó đưa nó vào cho firewall để chặn 1 cách tự động. và trên server thì cứ 5 phút script này chạy 1 lần
file log : http://www.mediafire.com/?yz2njlm0kzj

Mong nhận được sự giúp đỡ của các bạn

@MOD : nếu có sai sót gì thì MOD cho tôi biết lý do để còn sửa đổi lại nhé.
chào các bạn.Mình thường xuyên nghe thấy các bạn nói với nhau về project,nhưng mình lại không biết làm sao để tạo ra 1 cái project, tạo ra nó với mục đích ji, và để làm ji ? Mình sử dụng DEV-C++ nó cho phép tạo ra project, file dll...nhưng thực sự là không hiểu ji hết.
Các bạn có thể giải thích cho mình hiểu về những cái đó 1 chút được ko?
Tại sao ta lại phải tạo project hoặc Dll?
Tạo ra nó dùng để làm ji với mục đích ji?
Và cuối cùng để tạo ra nó ta cần phải học những ji ngoài nhưng ngôn ngữ lập trình?
Mong nhận được sự giúp đỡ của các bạn smilie).
cám ơn các bạn. Minh đã tìm được thằng DEV C++
các bạn có thể down về từ đây.
http://sourceforge.net/project/showfiles.php?group_id=10639

Các bạn có thể cho mình hỏi?
có cái trình biên dịch nào mà ở các công ty phát triển phần mềm hay sử dụng không?
mình thì cũng có 1 chút ít khinh nghiệm về viết 1 vài đoạn code nhỏ,nhưng trước giờ mình toàn viết trên TC , BL C. Giờ mình muốn tìm 1 trình biên dịch khác mà nó gần với môi trường phát triển 1 sản phẩn của mình thành 1 phần mềm hơn.
Không biết mình hỏi như vậy có đúng không nữa. smilie( nếu bạn nào có thì cho mình xin cái link luôn nhé hoặc ít nhất la cái tên để mình còn biết đường tìm. cám ơn các bạn smilie
các anh ơi , cho em xin một ít tài liệu về prosses ( ko biết viết có đúng không nữa :lolsmilie ) và thread của win , làm ơn cho em đi.
thế em muốn bảo mật web và phần mềm ứng dụng thì em có thể đọc những sách nào là tốt nhất ( em còn noob lắm đó) smilie
mong anh chỉ giúp . em cám ơn trước smilie
 

Powered by JForum - Extended by HVAOnline
 hvaonline.net  |  hvaforum.net  |  hvazone.net  |  hvanews.net  |  vnhacker.org
1999 - 2013 © v2012|0504|218|